/* HickUP 1.2 -- Graphical interface to hick.
** Copyright (C) 1998 - 2001, 2008 Daniel Bergstrom <daniel@octocode.com>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _MENUPOP_H
#define _MENUPOP_H

#include "project.h"

#ifdef __cplusplus
extern "C" {
#endif

extern void cb_select_clist(GtkWidget *clist, gint row, gint column,
                            GdkEventButton *event, HView *hview);
extern void cb_select_ctree(GtkWidget *ctree, GtkCTreeNode *row, gint column,
                            HView *hview);

extern gint cb_edit_key_item(GtkWidget *w, GdkEventKey *event, HView *hview);
extern gint cb_edit_click_item(GtkWidget *w, GdkEventButton *event, 
                               HView *hview);

extern void cb_edit_view(GtkWidget *w, HView *hview);
extern void cb_edit_copy_prj(GtkWidget *w, HView *hview);
extern void cb_edit_enable(GtkWidget *w, HView *hview);
extern void cb_edit_enable_packet(GtkWidget *w, HView *hview);
extern void cb_edit_disable_packet(GtkWidget *w, HView *hview);
extern void cb_edit_enable_default(GtkWidget *w, HView *hview);
extern void cb_edit_disable(GtkWidget *w, HView *hview);
extern void cb_edit_force(GtkWidget *w, HView *hview);

extern gint cb_pack_key_item(GtkWidget *w, GdkEventKey *event, HView *hview);
extern gint cb_pack_click_item(GtkWidget *w, GdkEventButton *event, 
                               HView *hview);

extern void cb_pack_view(GtkWidget *w, HView *hview);
extern void cb_pack_select(GtkWidget *w, HView *hview);
extern void cb_pack_select_default(GtkWidget *w, HView *hview);
extern void cb_pack_unselect(GtkWidget *w, HView *hview);
extern void cb_pack_unselect_packet(GtkWidget *w, HView *hview);

#ifdef __cplusplus
}
#endif

#endif /* _MENUPOP_H */
