/* HMod 1.0.1 -- Hick modules emulation.
** Copyright (C) 2000 - 2001 Daniel Bergstrom <daniel@octocode.com>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software Foundation,
** Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef HMODADD_H
#define HMODADD_H

#include "hick.h"
#include "nodes.h"
#include "array.h"
#include "hmodenv.h"

#ifdef __cplusplus
extern "C" {
#endif

extern void hmod_add_get(HModEnv *henv, NodeList *scripts, HickPackets *pkg,
                         PArr *loaded, const char *shell, int tryadd,
                         char **packets, size_t siz, int confchk);

extern void hmod_add_environ(HickEnv *env, HModEnv *henv);

#ifdef __cplusplus
}
#endif

#endif /* HMODADD_H */
