/* HICK Lib 1.3.2 -- User Profiler Library.
** Copyright (C) 1997 - 2000 Daniel Bergstrom <daniel@octocode.com>
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Library General Public
** License as published by the Free Software Foundation; either
** version 2 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.
**
** You should have received a copy of the GNU Library General Public
** License along with this library; if not, write to the Free
** Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef _EVENT_H
#define _EVENT_H

#include "hick.h"

#ifdef __cplusplus
extern "C" {
#endif

extern void _callEvent(unsigned int mask, int event, HickEventFunction call,
		       void *arg, HickPackets *pack, HickPacket *hpac,
		       HickEntry *entry, HickVer *ver, userEntry *ue);

extern void _callVersionEvents(HickVerList *vlist, unsigned int mask,
			       int event, HickEventFunction call, void *arg,
			       HickPackets *pack, HickPacket *hpac,
			       HickEntry *entry);

#ifdef __cplusplus
}
#endif


#endif /* _EVENT_H */
