/* HickMK 1.2.2 -- HICK Make Utility.
** Copyright (C) 1998 - 2001 Daniel Bergstrom <daniel@octocode.com>
**
** This library is free software; you can redistribute it and/or
** modify it under the terms of the GNU Library General Public
** License as published by the Free Software Foundation; either
** version 2 of the License, or (at your option) any later version.
**
** This library is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
** Library General Public License for more details.
**
** You should have received a copy of the GNU Library General Public
** License along with this library; if not, write to the Free
** Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include "sbuf.h"
#include "memd.h"


void
sbuf_puts(const char *s, SBuf *to)
{
  size_t n;

  for(n = 0; s[n]; n++) {
    sbuf_put(s[n], to);
  }
}


void
sbuf_putsb(SBuf *from, SBuf *to)
{
  size_t n;

  if(!from->buf) {
    return;
  }

  for(n = 0; from->buf[n]; n++) {
    sbuf_put(from->buf[n], to);
  }
}


